import {Configuration, SpiderApi} from "@/api";
import {useUserStore} from "@/stores/user";
import config from "@/config/config";

const userStore = useUserStore()

const conf = new Configuration

conf.basePath = config.api.baseUrl
conf.apiKey = "Bearer " + userStore.access_token


const theSpiderApi = new SpiderApi(conf);

export {
  theSpiderApi, conf
}
